# ==================== urls.py ====================
from django.urls import path
from .views import ExtractProductAttributesView,ProductTypeListView, ProductTypeAttributesView, ProductAttributesUploadView, BatchExtractProductAttributesView, ProductListView, ProductUploadExcelView

urlpatterns = [
    path('extract/', ExtractProductAttributesView.as_view(), name='extract-attributes'),
    path('batch-extract/', BatchExtractProductAttributesView.as_view(), name='batch-extract-attributes'),
    path('products/', ProductListView.as_view(), name='batch-extract-attributes'),
    path('products/upload-excel/', ProductUploadExcelView.as_view(), name='product-upload-excel'),
    path('products/upload-attributes/', ProductAttributesUploadView.as_view(), name='product-upload-excel'),
    path('products/attributes/', ProductTypeAttributesView.as_view(), name='product-upload-excel'),
    path('product-types/', ProductTypeListView.as_view(), name='product-types-list'),
]
